Create
curl --request POST \
--url https://{defaultHost}/v1/auto_fees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auto_fee": {
"name": "Handling Fee",
"enabled": true,
"amount_adjustment": 1000,
"fee_target": "line_item",
"start_at": 1793796846,
"rules": {
"type": "group",
"combinator": "or",
"conditions": [
{
"type": "condition",
"attribute_name": "subtotal_amount",
"operator_label": "is_more_than",
"comparison_value": "100"
}
]
}
}
}
'import requests
url = "https://{defaultHost}/v1/auto_fees"
payload = { "auto_fee": {
"name": "Handling Fee",
"enabled": True,
"amount_adjustment": 1000,
"fee_target": "line_item",
"start_at": 1793796846,
"rules": {
"type": "group",
"combinator": "or",
"conditions": [
{
"type": "condition",
"attribute_name": "subtotal_amount",
"operator_label": "is_more_than",
"comparison_value": "100"
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auto_fee: {
name: 'Handling Fee',
enabled: true,
amount_adjustment: 1000,
fee_target: 'line_item',
start_at: 1793796846,
rules: {
type: 'group',
combinator: 'or',
conditions: [
{
type: 'condition',
attribute_name: 'subtotal_amount',
operator_label: 'is_more_than',
comparison_value: '100'
}
]
}
}
})
};
fetch('https://{defaultHost}/v1/auto_fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/auto_fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'auto_fee' => [
'name' => 'Handling Fee',
'enabled' => true,
'amount_adjustment' => 1000,
'fee_target' => 'line_item',
'start_at' => 1793796846,
'rules' => [
'type' => 'group',
'combinator' => 'or',
'conditions' => [
[
'type' => 'condition',
'attribute_name' => 'subtotal_amount',
'operator_label' => 'is_more_than',
'comparison_value' => '100'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/auto_fees"
payload := strings.NewReader("{\n \"auto_fee\": {\n \"name\": \"Handling Fee\",\n \"enabled\": true,\n \"amount_adjustment\": 1000,\n \"fee_target\": \"line_item\",\n \"start_at\": 1793796846,\n \"rules\": {\n \"type\": \"group\",\n \"combinator\": \"or\",\n \"conditions\": [\n {\n \"type\": \"condition\",\n \"attribute_name\": \"subtotal_amount\",\n \"operator_label\": \"is_more_than\",\n \"comparison_value\": \"100\"\n }\n ]\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{defaultHost}/v1/auto_fees")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"auto_fee\": {\n \"name\": \"Handling Fee\",\n \"enabled\": true,\n \"amount_adjustment\": 1000,\n \"fee_target\": \"line_item\",\n \"start_at\": 1793796846,\n \"rules\": {\n \"type\": \"group\",\n \"combinator\": \"or\",\n \"conditions\": [\n {\n \"type\": \"condition\",\n \"attribute_name\": \"subtotal_amount\",\n \"operator_label\": \"is_more_than\",\n \"comparison_value\": \"100\"\n }\n ]\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/auto_fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"auto_fee\": {\n \"name\": \"Handling Fee\",\n \"enabled\": true,\n \"amount_adjustment\": 1000,\n \"fee_target\": \"line_item\",\n \"start_at\": 1793796846,\n \"rules\": {\n \"type\": \"group\",\n \"combinator\": \"or\",\n \"conditions\": [\n {\n \"type\": \"condition\",\n \"attribute_name\": \"subtotal_amount\",\n \"operator_label\": \"is_more_than\",\n \"comparison_value\": \"100\"\n }\n ]\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "6f693bb0-41a0-4390-89d1-b93c89485bb9",
"object": "auto_fee",
"enabled": true,
"amount_adjustment": 1000,
"currency": "usd",
"discount": false,
"end_at": null,
"expired": false,
"fee_target": "line_item",
"metadata": {},
"name": "Handling Fee",
"ongoing": true,
"percent_adjustment": null,
"rules": {
"type": "group",
"combinator": "or",
"conditions": [
{
"type": "condition",
"attribute_name": "subtotal_amount",
"operator_label": "is_more_than",
"comparison_value": "100"
}
]
},
"start_at": 1793796846,
"created_at": 1793796846,
"updated_at": 1793796846
}Auto Fees
Create
Creates a new auto fee.
POST
/
v1
/
auto_fees
Create
curl --request POST \
--url https://{defaultHost}/v1/auto_fees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auto_fee": {
"name": "Handling Fee",
"enabled": true,
"amount_adjustment": 1000,
"fee_target": "line_item",
"start_at": 1793796846,
"rules": {
"type": "group",
"combinator": "or",
"conditions": [
{
"type": "condition",
"attribute_name": "subtotal_amount",
"operator_label": "is_more_than",
"comparison_value": "100"
}
]
}
}
}
'import requests
url = "https://{defaultHost}/v1/auto_fees"
payload = { "auto_fee": {
"name": "Handling Fee",
"enabled": True,
"amount_adjustment": 1000,
"fee_target": "line_item",
"start_at": 1793796846,
"rules": {
"type": "group",
"combinator": "or",
"conditions": [
{
"type": "condition",
"attribute_name": "subtotal_amount",
"operator_label": "is_more_than",
"comparison_value": "100"
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auto_fee: {
name: 'Handling Fee',
enabled: true,
amount_adjustment: 1000,
fee_target: 'line_item',
start_at: 1793796846,
rules: {
type: 'group',
combinator: 'or',
conditions: [
{
type: 'condition',
attribute_name: 'subtotal_amount',
operator_label: 'is_more_than',
comparison_value: '100'
}
]
}
}
})
};
fetch('https://{defaultHost}/v1/auto_fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/auto_fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'auto_fee' => [
'name' => 'Handling Fee',
'enabled' => true,
'amount_adjustment' => 1000,
'fee_target' => 'line_item',
'start_at' => 1793796846,
'rules' => [
'type' => 'group',
'combinator' => 'or',
'conditions' => [
[
'type' => 'condition',
'attribute_name' => 'subtotal_amount',
'operator_label' => 'is_more_than',
'comparison_value' => '100'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/auto_fees"
payload := strings.NewReader("{\n \"auto_fee\": {\n \"name\": \"Handling Fee\",\n \"enabled\": true,\n \"amount_adjustment\": 1000,\n \"fee_target\": \"line_item\",\n \"start_at\": 1793796846,\n \"rules\": {\n \"type\": \"group\",\n \"combinator\": \"or\",\n \"conditions\": [\n {\n \"type\": \"condition\",\n \"attribute_name\": \"subtotal_amount\",\n \"operator_label\": \"is_more_than\",\n \"comparison_value\": \"100\"\n }\n ]\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{defaultHost}/v1/auto_fees")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"auto_fee\": {\n \"name\": \"Handling Fee\",\n \"enabled\": true,\n \"amount_adjustment\": 1000,\n \"fee_target\": \"line_item\",\n \"start_at\": 1793796846,\n \"rules\": {\n \"type\": \"group\",\n \"combinator\": \"or\",\n \"conditions\": [\n {\n \"type\": \"condition\",\n \"attribute_name\": \"subtotal_amount\",\n \"operator_label\": \"is_more_than\",\n \"comparison_value\": \"100\"\n }\n ]\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/auto_fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"auto_fee\": {\n \"name\": \"Handling Fee\",\n \"enabled\": true,\n \"amount_adjustment\": 1000,\n \"fee_target\": \"line_item\",\n \"start_at\": 1793796846,\n \"rules\": {\n \"type\": \"group\",\n \"combinator\": \"or\",\n \"conditions\": [\n {\n \"type\": \"condition\",\n \"attribute_name\": \"subtotal_amount\",\n \"operator_label\": \"is_more_than\",\n \"comparison_value\": \"100\"\n }\n ]\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "6f693bb0-41a0-4390-89d1-b93c89485bb9",
"object": "auto_fee",
"enabled": true,
"amount_adjustment": 1000,
"currency": "usd",
"discount": false,
"end_at": null,
"expired": false,
"fee_target": "line_item",
"metadata": {},
"name": "Handling Fee",
"ongoing": true,
"percent_adjustment": null,
"rules": {
"type": "group",
"combinator": "or",
"conditions": [
{
"type": "condition",
"attribute_name": "subtotal_amount",
"operator_label": "is_more_than",
"comparison_value": "100"
}
]
},
"start_at": 1793796846,
"created_at": 1793796846,
"updated_at": 1793796846
}Authorizations
Response
200 - application/json
Success
Was this page helpful?